Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 10201)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 10202)
@@ -53,5 +53,6 @@
   jQuery('.cluetip').cluetip({ 
     width: 300,
-    splitTitle: '|'
+    splitTitle: '|'    ,
+    clickThrough: true
   });
 });
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 10201)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 10202)
@@ -253,905 +253,911 @@
 jQuery(document).ready(
      function (jQuery) {
-         jQuery(':Autosize');
-
-         jQuery(window).unload(function () {
-             try {
-                 if (TheImg) {
-                     jQuery.cookie('img', TheImg.src); // créer un cookie avec une valeur
-                     jQuery.cookie('img_h', jQuery(TheImg).height());
-                     jQuery.cookie('img_w', jQuery(TheImg).width());
-                     jQuery.cookie('window_height', Window_Affichage.height);
-                     jQuery.cookie('window_width', Window_Affichage.width);
-                 }
-             } catch (r) {
-
-             }
-
-         });
-
+       jQuery(':Autosize');
+
+       jQuery(window).unload(function () {
+         try {
+           if (TheImg) {
+             jQuery.cookie('img', TheImg.src); // créer un cookie avec une valeur
+             jQuery.cookie('img_h', jQuery(TheImg).height());
+             jQuery.cookie('img_w', jQuery(TheImg).width());
+             jQuery.cookie('window_height', Window_Affichage.height);
+             jQuery.cookie('window_width', Window_Affichage.width);
+           }
+         } catch (r) {
+
+         }
+
+       });
+
+       jQuery(window).resize(
+               function (event, ui) {
+                 List_autosize_resize(event, ui);
+
+               });
+
+       jQuery(window).load(function () {
+         if (typeof img_width == "undefined") {
+
+           if (List_autosize.length == 0) return;
+           for (i = 0; i < List_autosize.length; i++) {
+             Autosize_resize(jQuery(List_autosize[i]));
+           }
+
+           return;
+         }
+         //=========================================================
+         if (typeof (options) == "undefined") {
+           options = { imageAutosizeMargin: 0, imageAutosize: false }
+         }
+
+         old_img = jQuery.cookie('img');
+         old_img_h = jQuery.cookie('img_h');
+         old_img_w = jQuery.cookie('img_w');
+         old_window_height = jQuery.cookie('window_height');
+         old_window_width = jQuery.cookie('window_width');
+
+         //============================================================
+         img_init = { height: img_height, width: img_width };  // taille initiale
+         img_defaut = { height: scaled_height, width: scaled_width };
+         img_reelle = { height: img_height, width: img_width };
+         img_finale = { height: 0, width: 0 };
+
+         img_top = "0";
+         rapport = -1;
+         marges_llgbo = 0;
+         pos = 0;
+         //=============================================================
+         Type_Img = "";
+         TheImg = null;
+         nopano = false;
+
+         Zone_Affichage = { height: 0, width: 0 };
+         //============================================================        
+         jQuery("#the_page").css({ top: "0px" });
+         Info_the_page = jQuery("#the_page").infos();
+         info_HeaderBar = jQuery("#imageHeaderBar").infos();
+
+         Parent = "#theImage";
+
+         Zone_Affichage = jQuery(Parent).infos();
+         //   
+         var old_window = { width: 0, height: 0 };
+         Bandeau_bas = Info_Description_f(Parent);
+         if (typeof Bandeau_bas != "undefined") Bandeau = Bandeau_bas.top;
+         else Bandeau = 0;
+         if (typeof Bandeau_bas == "undefined") { }
+         old_window = { width: 0, height: 0 };
+         jQuery("#theImage").trigger('ON');
+
+         old_window = { width: 0, height: 0 };
+         jQuery().newResize();
+
+         //===================================================================	
+         /*
+         * window .resize
+         */
          jQuery(window).resize(
                function (event, ui) {
-                   List_autosize_resize(event, ui);
-
+                 jQuery().newResize();
                });
 
-         jQuery(window).load(function () {
-             if (typeof img_width == "undefined") {
-
-                 if (List_autosize.length == 0) return;
-                 for (i = 0; i < List_autosize.length; i++) {
-                     Autosize_resize(jQuery(List_autosize[i]));
+         //============== initialisation ===================
+
+         var pos;
+         var set_p = false;
+
+
+       }); // window.onload
+
+       /* Extension
+       * affiche_debug
+
+       * resize
+       * :
+       */
+       //=========================================================
+       old_window = { width: 0, height: 0 };
+
+       jQuery.fn.extend({
+         //==========================================================
+         Info_description: function (e) {
+           return Info_Description_f(e);
+
+         },
+         //=============================================================
+         onPropertyChange: function (e) {
+           return;
+
+
+         },
+         /*
+         * recherche la plus grande image (hauteur ou largeur)
+         */
+         Get_Img_Maxi: function (myobj) {
+           return Get_Img_Maxi(myobj);
+         },
+         //============================================================
+         affiche_debug: function (aff_infos) {
+           affiche_debug(aff_infos);
+         },
+         //====================================================
+         newResize: function () {
+           //  
+           //if (options.imageAutosize) return true ;stripped
+           if (DEBUG == "true") {
+             nu_img += 1;
+
+             bp1 = jQuery('.debug').get(nu_img);
+             if (!bp1) nu_img = 0;
+             bp1 = jQuery('.debug').get(nu_img);
+
+             jQuery(bp1).trigger('ON');
+           }
+           if (typeof cl_visible == "undefined") return;
+           if (!cl_visible == true) { return true; }
+           var chk = eval(user_status + "_enabled");
+           if (chk == "") { return true; }
+           //=================================================================
+           var winwidth = jQuery(window).width();
+           var winheight = jQuery(window).height();
+           n = winwidth - old_window.width;
+           if (Math.abs(n) < 1) {
+             n = winheight - old_window.height;
+             if (Math.abs(n) < 1)
+               return true;
+           }
+           if (Math.abs(n) > 30) nu_img = 0;
+           //if (nu_img > 10) return true;
+           old_window = jQuery(window).infos();
+           //===========================================================================
+
+
+           jQuery(Parent).width(winwidth);
+           jQuery(Parent).height(winheight);
+
+           var Cadre = jQuery(Parent).get(0);
+           var info_theImage = jQuery(Cadre).infos();
+           //===============  Information cadre ======
+           var info_the_page = jQuery("#the_page").infos();
+           //=============================================================================
+
+           var info_content = jQuery("#content").infos();
+           var info_titrePage = jQuery("#titrePage").infos();
+           var info_imageInfoBar = jQuery("#imageInfoBar").infos();
+           var info_theHeader = jQuery("#theHeader").infos();
+
+           var Zone_Affichage = jQuery(Parent).infos();
+           var info_ToolBar = jQuery("#imageToolBar").infos();
+           var marge = 0;
+           var marge_right = 0;
+           var marge_left = 0;
+           if (theme.match(RegExp("simple", "g"))) {
+             if (info_ToolBar.width > 0)
+               marge = (Zone_Affichage.width - info_ToolBar.width) / 2;
+             else if (info_the_page.width > 0)
+               marge = (Zone_Affichage.width - info_the_page.width) / 2;
+
+             marge_right = marge;
+             marge_left = marge;
+
+             if (info_content.width > 100) {
+
+               marge_left = (info_imageInfoBar.margin.left) + 1;
+               marge_right = (marge_left + info_imageInfoBar.margin.right) + 1;
+               winwidth = info_content.width;
+               marge_right = info_imageInfoBar.width + marge_right;
+
+             }
+           } else {
+             if (theme.match(RegExp("stripped", "gi"))) {
+
+               marge = (info_the_page.width - info_HeaderBar.width) / 2;
+               marge_right = marge;
+               marge_left = marge;
+             } else if (info_ToolBar.width > 0) {
+               marge = (info_the_page.width - info_ToolBar.width) / 2;
+              
+               marge_right = marge + info_the_page.left;
+               marge_left = marge;
+
+             }
+             winwidth = info_the_page.width;
+           }
+
+
+
+           marge_right += Zone_Affichage.borderwidth.right;
+           marge_left += Zone_Affichage.borderwidth.left;
+           winwidth -= (marge_right + marge_left);
+           //---------------------------------------------
+           jQuery(Parent).width(winwidth);
+           jQuery(Parent).css({ height: "auto" });
+
+
+           //  jQuery(Parent).height(Zone_Affichage.height);
+           //---------------------------------------------
+
+           if (Type_Img == "pamoorama") {
+
+             mypanorama = window.myPamoorama;
+             //============================================================
+             if (typeof (mypanorama) == "undefined") return false;
+             var myPamoorama = mypanorama;
+             if (typeof (myPamoorama.skipInit) == "undefined") return false;
+             //
+
+             if (myPamoorama.skipInit == false) {
+
+               return false;
+             }
+
+             var info_pamoorama = jQuery("#pamoorama").infos();
+             var info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
+             var info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+             var info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+             var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+             TheImg = jQuery("#pamoorama");
+             obj = TheImg.get(0);
+
+           } else {
+
+
+
+
+           }
+           //=================================================================
+
+
+           switch (Type_Img) {
+             case "map":
+               img_reelle.height = info_img.height;
+               info_map = jQuery("#mapPicture").infos();
+               jQuery("#map").css("left", info_map.width + "px");
+               Bandeau_bas.height = 10;
+
+               if (theme.match(RegExp("simple", "g"))) {
+                 img_reelle.width = winwidth; //- info_map.width -marge_right;
+               } else {
+                 img_reelle.width = winwidth - info_map.width - marge_right;
+               }
+
+
+               info_the_page = jQuery("#the_page").infos();
+               winwidth = img_reelle.width;
+
+               ;
+
+               break
+
+
+             case "panorama":
+               // return;
+
+
+               TheImg = jQuery().Get_Img_Maxi("#Panorama img");
+               info_theImage = jQuery(TheImg).infos();
+               info_the_page = jQuery("#the_page").infos();
+
+               break
+             case "img":
+
+               if (!TheImg) return true;
+               if (theme.match(RegExp("luciano", "g"))) {
+                 TheImg = jQuery("#the_page #theImg");
+               }
+               info_theImage = jQuery(TheImg).infos();
+               info_the_page = jQuery("#the_page").infos();
+
+
+               break
+             case "img_autre":
+               if (!TheImg) {
+                 if (DEBUG == "true") alert("TheImg=null");
+                 return true;
+
+               }
+               info_theImage = jQuery(TheImg).infos();
+               info_the_page = jQuery("#the_page").infos();
+
+
+               break
+             case "embed":
+               //
+
+               info_theImage = info_img;
+               info_the_page = jQuery("#the_page").infos();
+
+               if (rapport < 0) {
+                 img_height = info_img.height;
+                 img_width = info_img.width;
+
+                 img_reelle.height = img_height;
+                 img_reelle.width = img_width;
+
+               }
+
+               break
+             case "charlie":
+
+
+               info_theImage = info_img;
+               info_the_page = jQuery("#the_page").infos();
+               if (rapport < 0) {
+                 img_height = parseInt(info_img.height);
+                 img_width = parseInt(info_img.width);
+
+                 img_reelle.height = parseInt(info_img.height);
+                 img_reelle.width = parseInt(info_img.width);
+               }
+
+               break
+             case "pamoorama":
+
+               img_reelle = { height: img_height, width: img_width };
+
+               //=========================================================
+               img_reelle.height = img_height;
+               img_reelle.width = Zone_Affichage.width;
+
+
+               TheImg = myPamoorama.image;
+               info_theImage = jQuery("#pamoorama").infos();
+               info_theImage.height = img_reelle.height;
+
+
+               info_the_page = jQuery("#the_page").infos();
+
+               break
+
+
+           }
+           MinWidth = jQuery(TheImg).css("minWidth");
+           if (MinWidth == "0px")
+             MinWidth = mini_width;
+           MinHeight = jQuery(TheImg).css("minHeight");
+           if (MinHeight == "0px")
+             MinHeight = mini_height;
+
+           MaxWidth = jQuery(TheImg).css("maxWidth");
+           if (MaxWidth == "0px")
+             MaxWidth = winwidth;
+           MaxHeight = jQuery(TheImg).css("maxHeight");
+           if (MaxHeight == "0px")
+             MaxHeight = mwinheight;
+
+           //=============== Vérification taille minimale  autorizée ======================
+           var miniWidth = jQuery(TheImg).Get_Val_int(MinWidth, mini_width);
+           var miniHeight = jQuery(TheImg).Get_Val_int(MinHeight, mini_height);
+           if (winwidth < mini_width2) mini_width2 = winwidth;
+
+           var miniWidth2 = jQuery(TheImg).Get_Val_int(MinWidth, mini_width2);
+           var miniHeight2 = jQuery(TheImg).Get_Val_int(MinHeight, mini_height2);
+
+
+           var maxWidth = jQuery(TheImg).Get_Val_int(MaxWidth, winwidth, "0");
+           maxHeight = jQuery(TheImg).Get_Val_int(MaxHeight, winheight, "0");
+
+
+           mini_width = parseInt(miniWidth);
+           mini_height = parseInt(miniHeight);
+
+           img_reelle.width = parseInt(img_reelle.width);
+
+           if (img_reelle.width < mini_width) return true;
+
+           img_reelle.height = parseInt(img_reelle.height);
+           if (img_reelle.height < parseInt(mini_height)) return true;
+           //==================================================================================   
+           if (rapport < 0) {
+
+             img_init.height = parseInt(img_height);
+             img_init.width = parseInt(img_width);
+
+             rapport = img_width / img_height;
+
+             if (Type_Img != "map")
+               rapport = (img_init.width / img_init.height);
+             else
+               rapport = 0;
+
+           }
+
+
+           //=============== Zone d'affichage ============================
+
+           borderW = Zone_Affichage.borderwidth.left;
+           borderW += Zone_Affichage.borderwidth.right;
+
+
+           Zone_Affichage.width = winwidth - borderW;
+
+
+
+           var Licence = jQuery(".licencetag");
+           info_Licence = jQuery(".licencetag").infos();
+
+           jQuery(Parent + " #theImg IMG").css("marginTop", "0px")
+           //========== Correction en fonction du thème =============================
+           var correction = 0;
+           if (theme.match(RegExp("sobre", "g"))) {
+
+             //   correction = -info_Licence.padding.top;
+             if (Type_Img == 'img') {
+               if (msie == true) correction = 0;
+               else correction = 0;
+               correction = 10;
+             }
+
+           } else if (theme.match(RegExp("Pure", "g"))) {
+             correction += 0; //??
+           } else if (theme.match(RegExp("luciano", "g"))) {
+             correction = 0; //??
+
+           } else if (theme.match(RegExp("simple", "g"))) {
+             correction += 0; //??
+           } else if (theme.match(RegExp("gally", "g"))) {
+             correction += 0; //??
+
+           }
+
+           //====================================================
+           if (options.imageAutosizeMargin > 0) Marge_Basse = options.imageAutosizeMargin;
+           else Marge_Basse = parseInt(marge_basse || 0); // hors bandeau
+           //==========================================================================
+           h = 0;
+
+           h = (Zone_Affichage.padding.bottom + Zone_Affichage.padding.top + Zone_Affichage.margin.top + Zone_Affichage.margin.bottom);
+           Bandeau = Bandeau_t.img_top;
+           Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction - h;
+           //=========================================================================
+           if (Zone_Affichage.height < mini_height2)
+             Zone_Affichage.height = mini_height2;
+           if (Zone_Affichage.width < mini_width2)
+             Zone_Affichage.width = mini_width2;
+           //=========================================================================
+           if (typeof (Bandeau_bas) != "undefined") {
+             Zone_Affichage.height -= (Bandeau_bas.height + Bandeau_bas.marge.top + Bandeau_bas.marge.bottom);
+
+
+           } else {
+
+           }
+
+           var Image_height = Zone_Affichage.height;
+
+           //=============================================================
+           var height_user = eval(user_status + "_height");
+           var reg1 = new RegExp("%", "g");
+           if (height_user.match(reg1))
+             Image_height = Image_height * parseInt(height_user) / 100;
+           else
+             Image_height = parseInt(height_user);
+
+           echelle_max = parseFloat(echelle_max, '3');
+           var echelle = parseFloat(Image_height / img_reelle.height, 3);
+
+           if (echelle > echelle_max) { echelle = echelle_max; }
+           Image_height = parseInt(img_reelle.height * echelle);
+           //============================================================
+
+           var Image_width;
+           if (rapport > 0)
+             Image_width = parseInt(Image_height * rapport);
+           else if (Type_Img == "map") {
+             Image_width = Zone_Affichage.width - marge_left - marge_right;
+           } else {
+             Image_width = Zone_Affichage.width;
+           }
+
+           //===============================================================
+           align_auto = "center";
+           if (jQuery("#theImg").css("textAlign"))
+             align_auto = jQuery("#theImg").css("textAlign");
+           var widthmin = winwidth;
+
+           if (check_auto_w == 'checked="checked"') {
+             // if (Type_Img != "pamoorama" && Type_Img != "panorama" ) {
+             //==== largeur à atteindre ===
+             var width_user = eval(user_status + "_width");
+             // Largeur maximale en fonction du statut
+             if (width_user.match(reg1))
+             // pourcentage
+               widthmin = widthmin * parseInt(width_user) / 100;
+             else
+               widthmin = parseInt(width_user);
+
+             var marges = 0;
+
+             if (typeof (info_img) != "undefined") {
+               widthmin -= info_img.borderwidth.left || 0;
+               widthmin -= info_img.borderwidth.right || 0;
+             }
+             widthmin -= marges;
+             widthmin -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
+             Image_width -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
+             if (Image_width > widthmin) {
+               //   Image_width largeur à atteindre 
+               //  Calcul du rapport d'agrandissement 
+               var echelle_w = parseFloat((widthmin) / img_reelle.width, 3);
+               if (echelle_w > echelle_max) { echelle_w = echelle_max; }
+               Image_width = parseInt(img_reelle.width * echelle_w);
+               if (rapport > 0)
+                 Image_height = parseInt(Image_width / rapport);
+             }
+
+
+
+           }
+
+
+           // }
+           //===================================================
+
+           img_finale.height = Image_height;
+           img_finale.width = Image_width;
+           if (theme.match(RegExp("stripped", "gi"))) {
+             img_finale.width -= (llgboframe.top * 2);
+             if (rapport > 0) img_finale.height = (img_finale.width / rapport);
+             else img_finale.height -= (llgboframe.top * 2);
+           }
+           zoom = echelle;
+           if (llgboframe.height > 0) {
+             //=============LLGBO2 ===========================
+             t1 = llgboframe;
+             if (!TheImg.src) {
+               TheImg = jQuery(TheImg).find("img").get(0)
+               if (!TheImg.src) {
+                 TheImg = jQuery(Parent).find("div").get(0)
+               }
+             }
+             if (TheImg.src) {
+
+
+               wingbo = img_finale.width;
+               heightgbo = img_finale.height;
+               if (Type_Img == "panorama") {
+                 heightgbo = info_theImage.height;
+                 img_finale.height = info_theImage.height;
+               }
+
+               img_finale.width -= marges_llgbo;
+               if (jQuery("#slideshow").infos().width > 0) {
+                 img_finale.height -= (marges_llgbo * 1.5);
+               } else {
+                 img_finale.height -= marges_llgbo
+               }
+
+
+               if (wingbo > winwidth) {
+                 jQuery("#gbo").width(winwidth);
+                 jQuery("#gbo").height(winheight);
+                 jQuery("#gbo").css("width", winwidth + "px");
+                 jQuery("#gbo").css("height", winheight + "px");
+               }
+               else {
+                 jQuery("#gbo").width(wingbo);
+                 jQuery("#gbo").height(heightgbo);
+                 jQuery("#gbo").css("width", wingbo + "px");
+                 jQuery("#gbo").css("height", heightgbo + "px");
+               }
+
+               a0 = jQuery("area[rel!=up][rel!=prev][rel!=next]");
+               a1 = jQuery("area[rel=prev]");
+               a2 = jQuery("area[rel=next]");
+               a3 = jQuery("area[rel=up]");
+               nb_zone = 3;
+               if (a1.length == 0) {
+                 nb_zone -= 1;
+               }
+               if (a2.length == 0) {
+                 nb_zone -= 1;
+               }
+
+
+               var Largeur_zone = (img_finale.width / nb_zone);
+               var Hauteur_zone = (img_finale.height);
+               var init_zone = 0;
+
+               if (a1.length > 0) {
+                 coord = { x0: init_zone, y0: 0, x1: Largeur_zone, y1: Hauteur_zone };
+
+                 jQuery("area[rel=prev]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
+                 init_zone += Largeur_zone;
+               }
+
+               coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
+
+               if (a0.length > 0) {
+                 jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1 / 2) + "'" });
+                 jQuery(a0).attr({ coords: "'" + coord.x0 + "," + (coord.y1 / 2) + "," + coord.x1 + "," + (coord.y1) + "'" });
+               } else {
+                 jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1) + "'" });
+               }
+               init_zone += Largeur_zone;
+
+               if (a2.length > 0) {
+                 coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
+                 jQuery("area[rel=next]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
+               }
+             }
+           }
+
+           //================ Zone affichage =========================
+
+
+           //  jQuery(Cadre).css("top", "0px");
+           jQuery("#standard").css("top", 0 + "px");
+           jQuery("#comments").css("top", 0 + "px");
+           //========== Image Remise à l'échelle =======================
+
+           img_finale.height = parseInt(img_finale.height);
+           img_finale.width = parseInt(img_finale.width);
+           //=========================================================================
+           if (jQuery("#slideshow").infos().width > 0) {
+
+             jQuery(Cadre).css({ marginLeft: "auto"
+             });
+           }
+           else
+             jQuery(Cadre).css({ marginLeft: marge_left + "px"
+             });
+           jQuery(Cadre).width(Zone_Affichage.width);
+           //   jQuery(Cadre).height(Zone_Affichage.height);
+
+           if (typeof (gmaps) != "undefined") {
+             Gmap_ = gmaps.maps[0];
+             if (Gmap_.sizeMode == 'A') {
+               jQuery("#iGMapsIcon").css({ width: old_window.width * 0.8 + "px", height: old_window.height * 0.8 + "px" });
+
+             }
+           }
+           //============= flv,mov,mpg  ok 
+           /* wmv nok
+           * avi nok
+           //===========================================
+           */
+           if (Type_Img == "charlie") {
+             t1 = jQuery("#charlie").infos();
+
+             /**/
+
+             pdf = 0;
+             jQuery("#charlie div").each(function (i) {
+
+
+               p1 = jQuery(this).infos();
+               pdf += p1.padding.right + p1.padding.left;
+             });
+             img_finale.width -= pdf;
+
+             jQuery("#charlie").css({
+               width: img_finale.width + pdf,
+               height: img_finale.height,
+               margin: "auto"
+             });
+
+
+
+             jQuery("#player").css("width", img_finale.width + "px");
+             jQuery("#player").css("height", img_finale.height);
+
+             jQuery("#embedplayer").css("width", img_finale.width);
+             jQuery("#embedplayer").css("height", img_finale.height);
+
+
+             jQuery("object").width(img_finale.width);
+             jQuery("object").height(img_finale.height);
+
+
+           } else if (Type_Img == "panorama") {
+
+             // -----     jQuery(TheImg).panorama2(img_finale.height, img_finale.width);
+             // jQuery(TheImg).height(img_finale.height);
+             // jQuery(TheImg).width(img_finale.width);
+             jQuery("#Panorama div").height(img_finale.height);
+             //  class=simple_panorama
+
+             jQuery(".panorama-viewport").css("left", "2px");
+             jQuery(".panorama-viewport").css("width", "auto");
+
+
+           } else if (Type_Img == "pamoorama") {
+             info_theImage.height = Zone_Affichage.height;
+             img_height = myPamoorama.imageHeight
+             if (theme.match(RegExp("simple", "g"))) {
+               //  marge_right = 2;
+             }
+             new_width = Zone_Affichage.width - marge_right - marge_left;
+             new_width = Zone_Affichage.width - (info_theImage.borderwidth.right + info_theImage.borderwidth.left);
+
+
+
+             Zone_Affichage.height += info_pamoorama_footer.height;
+             zoom = info_theImage.height / img_height;
+             myPamoorama.options.width = new_width * zoom;
+             //  if(msie || safari) jQuery("#pamoorama_inner ").css({ zoom: zoom });
+             //====================================================
+             jQuery("#pamoorama").css({
+               marginLeft: "auto",
+               marginRight: "auto",
+               //height: Zone_Affichage.height + "px", sinon déclenchement panorama sur la hauteur;
+               width: new_width + "px"
+             });
+             jQuery("#pamoorama").width(new_width);
+
+             //====================================================
+             info_pamoorama = jQuery("#pamoorama").infos();
+             img_finale.height = info_pamoorama.height - info_pamoorama_footer.height;
+             img_finale.width = new_width;
+
+             jQuery("#pamoorama_outter").width(new_width);
+
+
+             // commenter sinon outter augmente à chaque resize
+             //  jQuery("#pamoorama_outter").height(info_pamoorama.height - info_pamoorama_footer.height);
+
+
+
+             jQuery("#pamoorama_outter").css({ width: new_width + "px" });
+             jQuery("#pamoorama_footer").css({ width: new_width + "px" });
+             //     
+             //====================================================
+             info_pamoorama = jQuery("#pamoorama").infos();
+             info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
+             info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
+             info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
+             info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
+
+             info_frame = jQuery(myPamoorama.frame).infos();
+
+             zoom = img_finale.height / img_height;
+
+
+           } else if (TheImg.src) {
+             //--- background ?? ---
+             jQuery(TheImg).height(img_finale.height);
+             jQuery(TheImg).width(img_finale.width);
+             jQuery(TheImg).css({ height: img_finale.height + "px ",
+               width: img_finale.width + "px "
+             });
+
+
+           } else {
+             //===map ? luciano ===
+             jQuery(TheImg).height(img_finale.height);
+             jQuery(TheImg).width(img_finale.width);
+             jQuery(TheImg).css({ height: img_finale.height + "px ",
+               width: img_finale.width + "px "
+             });
+             if (theme.match(RegExp("luciano", "g"))) {
+               jQuery(Parent + " #theImg IMG").css({ height: img_finale.height + "px ",
+                 width: img_finale.width + "px "
+               })
+             }
+
+           }
+
+           jQuery("#navThumbPrev").css({ overflow: "hidden" });
+           jQuery("#navThumbNext").css({ overflow: "hidden" });
+           n = typeof inittoolbar;
+           if (Type_Img == "map") {
+             jQuery("#navThumbNext").css({ display: 'none' });
+             jQuery("#navThumbPrev").css({ display: 'none' });
+           }
+           try {
+             if (theme.match(RegExp("gally", "gi"))) {
+               if (typeof inittoolbar == "function") {
+                 if (typeof (currentTab) == "undefined") inittoolbar();
+                 else initializeImageMode("resize");
+               }
+               //===========================================================================
+
+               if (jQuery("#navThumbPrev").length > 0) {
+                 jQuery("#navThumbPrev").css({ height: info_img.height + "px",
+                   overflow: "hidden"
+                 });
+
+               }
+               if (jQuery("#navThumbNext").length > 0) {
+                 jQuery("#navThumbNext").css({ height: info_img.height + "px",
+                   overflow: "hidden"
+                 });
+
+               }
+
+
+               if (!theme.match(RegExp("lapis", "gi"))) {
+                 if (typeof initializeImageMode == "function") {
+                   initializeImageMode("resize");
                  }
 
-                 return;
+               }
+
+             } else if (theme.match(RegExp("simple", "g"))) {
+
+               jQuery("#imageToolBar").css({ position: "static" });
+
+               info_imageInfoBar = jQuery("#imageInfoBar").infos();
+               if (info_imageInfoBar.bottom < info_img.bottom) {
+                 //   jQuery("#imageInfoBar").height(info_img.bottom);
+               }
+
+             } else {
+
+               //    jQuery("#imageToolBar").css("position", "static");
              }
-             //=========================================================
-             if (typeof (options) == "undefined") {
-                 options = { imageAutosizeMargin: 0, imageAutosize: false }
-             }
-
-             old_img = jQuery.cookie('img');
-             old_img_h = jQuery.cookie('img_h');
-             old_img_w = jQuery.cookie('img_w');
-             old_window_height = jQuery.cookie('window_height');
-             old_window_width = jQuery.cookie('window_width');
-
-             //============================================================
-             img_init = { height: img_height, width: img_width };  // taille initiale
-             img_defaut = { height: scaled_height, width: scaled_width };
-             img_reelle = { height: img_height, width: img_width };
-             img_finale = { height: 0, width: 0 };
-
-             img_top = "0";
-             rapport = -1;
-             marges_llgbo = 0;
-             pos = 0;
-             //=============================================================
-             Type_Img = "";
-             TheImg = null;
-             nopano = false;
-
-             Zone_Affichage = { height: 0, width: 0 };
-             //============================================================        
-             jQuery("#the_page").css({ top: "0px" });
-             Info_the_page = jQuery("#the_page").infos();
-             info_HeaderBar = jQuery("#imageHeaderBar").infos();
-
-             Parent = "#theImage";
-
-             Zone_Affichage = jQuery(Parent).infos();
-             //   
-             var old_window = { width: 0, height: 0 };
-             Bandeau_bas = Info_Description_f(Parent);
-             if (typeof Bandeau_bas != "undefined") Bandeau = Bandeau_bas.top;
-             else Bandeau = 0;
-             if (typeof Bandeau_bas == "undefined") { }
-             old_window = { width: 0, height: 0 };
-             jQuery("#theImage").trigger('ON');
-
-             old_window = { width: 0, height: 0 };
-             jQuery().newResize();
-
-             //===================================================================	
-             /*
-             * window .resize
-             */
-             jQuery(window).resize(
-               function (event, ui) {
-                   jQuery().newResize();
-               });
-
-             //============== initialisation ===================
-
-             var pos;
-             var set_p = false;
-
-
-         }); // window.onload
-
-         /* Extension
-         * affiche_debug
-
-         * resize
-         * :
-         */
-         //=========================================================
-         old_window = { width: 0, height: 0 };
-
-         jQuery.fn.extend({
-             //==========================================================
-             Info_description: function (e) {
-                 return Info_Description_f(e);
-
-             },
-             //=============================================================
-             onPropertyChange: function (e) {
-                 return;
-
-
-             },
-             /*
-             * recherche la plus grande image (hauteur ou largeur)
-             */
-             Get_Img_Maxi: function (myobj) {
-                 return Get_Img_Maxi(myobj);
-             },
-             //============================================================
-             affiche_debug: function (aff_infos) {
-                 affiche_debug(aff_infos);
-             },
-             //====================================================
-             newResize: function () {
-                 //  
-                 //if (options.imageAutosize) return true ;stripped
-                 if (DEBUG == "true") {
-                     nu_img += 1;
-
-                     bp1 = jQuery('.debug').get(nu_img);
-                     if (!bp1) nu_img = 0;
-                     bp1 = jQuery('.debug').get(nu_img);
-
-                     jQuery(bp1).trigger('ON');
-                 }
-                 if (typeof cl_visible == "undefined") return;
-                 if (!cl_visible == true) { return true; }
-                 var chk = eval(user_status + "_enabled");
-                 if (chk == "") { return true; }
-                 //=================================================================
-                 var winwidth = jQuery(window).width();
-                 var winheight = jQuery(window).height();
-                 n = winwidth - old_window.width;
-                 if (Math.abs(n) < 1) {
-                     n = winheight - old_window.height;
-                     if (Math.abs(n) < 1)
-                         return true;
-                 }
-                 if (Math.abs(n) > 30) nu_img = 0;
-                 //if (nu_img > 10) return true;
-                 old_window = jQuery(window).infos();
-                 //===========================================================================
-
-
-                 jQuery(Parent).width(winwidth);
-                 jQuery(Parent).height(winheight);
-
-                 var Cadre = jQuery(Parent).get(0);
-                 var info_theImage = jQuery(Cadre).infos();
-                 //===============  Information cadre ======
-                 var info_the_page = jQuery("#the_page").infos();
-                 //=============================================================================
-
-                 var info_content = jQuery("#content").infos();
-                 var info_titrePage = jQuery("#titrePage").infos();
-                 var info_imageInfoBar = jQuery("#imageInfoBar").infos();
-                 var info_theHeader = jQuery("#theHeader").infos();
-
-                 var Zone_Affichage = jQuery(Parent).infos();
-                 var info_ToolBar = jQuery("#imageToolBar").infos();
-                 var marge = 0;
-                 var marge_right = 0;
-                 var marge_left = 0;
-                 if (theme.match(RegExp("simple", "g"))) {
-                     if (info_ToolBar.width > 0)
-                         marge = (Zone_Affichage.width - info_ToolBar.width) / 2;
-                     else if (info_the_page.width > 0)
-                         marge = (Zone_Affichage.width - info_the_page.width) / 2;
-
-                     marge_right = marge;
-                     marge_left = marge;
-
-                     if (info_content.width > 100) {
-
-                         marge_left = (info_imageInfoBar.margin.left);
-                         marge_right = (info_imageInfoBar.margin.left + info_imageInfoBar.margin.right);
-                         winwidth = info_content.width;
-                         marge_right = info_imageInfoBar.width + marge_right;
-
-                     }
-                 } else {
-                     if (theme.match(RegExp("stripped", "gi"))) {
-
-                         marge = (info_the_page.width - info_HeaderBar.width) / 2;
-                     } else if (info_ToolBar.width > 0)
-                         marge = (info_the_page.width - info_ToolBar.width) / 2;
-
-                     marge_right = marge;
-                     marge_left = marge;
-                     winwidth = info_the_page.width;
-                 }
-
-
-
-                 marge_right += Zone_Affichage.borderwidth.right;
-                 marge_left += Zone_Affichage.borderwidth.left;
-                 winwidth -= (marge_right + marge_left);
-                 //---------------------------------------------
-                 jQuery(Parent).width(winwidth);
-                 jQuery(Parent).css({ height: "auto" });
-
-
-                 //  jQuery(Parent).height(Zone_Affichage.height);
-                 //---------------------------------------------
-
-                 if (Type_Img == "pamoorama") {
-
-                     mypanorama = window.myPamoorama;
-                     //============================================================
-                     if (typeof (mypanorama) == "undefined") return false;
-                     var myPamoorama = mypanorama;
-                     if (typeof (myPamoorama.skipInit) == "undefined") return false;
-                     //
-
-                     if (myPamoorama.skipInit == false) {
-
-                         return false;
-                     }
-
-                     var info_pamoorama = jQuery("#pamoorama").infos();
-                     var info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
-                     var info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-                     var info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
-                     var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
-                     TheImg = jQuery("#pamoorama");
-                     obj = TheImg.get(0);
-
-                 } else {
-
-
-
-
-                 }
-                 //=================================================================
-
-
-                 switch (Type_Img) {
-                     case "map":
-                         img_reelle.height = info_img.height;
-                         info_map = jQuery("#mapPicture").infos();
-                         jQuery("#map").css("left", info_map.width + "px");
-                         Bandeau_bas.height = 10;
-
-                         if (theme.match(RegExp("simple", "g"))) {
-                             img_reelle.width = winwidth; //- info_map.width -marge_right;
-                         } else {
-                             img_reelle.width = winwidth - info_map.width - marge_right;
-                         }
-
-
-                         info_the_page = jQuery("#the_page").infos();
-                         winwidth = img_reelle.width;
-
-                         ;
-
-                         break
-
-
-                     case "panorama":
-                         // return;
-
-
-                         TheImg = jQuery().Get_Img_Maxi("#Panorama img");
-                         info_theImage = jQuery(TheImg).infos();
-                         info_the_page = jQuery("#the_page").infos();
-
-                         break
-                     case "img":
-
-                         if (!TheImg) return true;
-                         if (theme.match(RegExp("luciano", "g"))) {
-                             TheImg = jQuery("#the_page #theImg");
-                         }
-                         info_theImage = jQuery(TheImg).infos();
-                         info_the_page = jQuery("#the_page").infos();
-
-
-                         break
-                     case "img_autre":
-                         if (!TheImg) {
-                             if (DEBUG == "true") alert("TheImg=null");
-                             return true;
-
-                         }
-                         info_theImage = jQuery(TheImg).infos();
-                         info_the_page = jQuery("#the_page").infos();
-
-
-                         break
-                     case "embed":
-                         //
-
-                         info_theImage = info_img;
-                         info_the_page = jQuery("#the_page").infos();
-
-                         if (rapport < 0) {
-                             img_height = info_img.height;
-                             img_width = info_img.width;
-
-                             img_reelle.height = img_height;
-                             img_reelle.width = img_width;
-
-                         }
-
-                         break
-                     case "charlie":
-
-
-                         info_theImage = info_img;
-                         info_the_page = jQuery("#the_page").infos();
-                         if (rapport < 0) {
-                             img_height = parseInt(info_img.height);
-                             img_width = parseInt(info_img.width);
-
-                             img_reelle.height = parseInt(info_img.height);
-                             img_reelle.width = parseInt(info_img.width);
-                         }
-
-                         break
-                     case "pamoorama":
-
-                         img_reelle = { height: img_height, width: img_width };
-
-                         //=========================================================
-                         img_reelle.height = img_height;
-                         img_reelle.width = Zone_Affichage.width;
-
-
-                         TheImg = myPamoorama.image;
-                         info_theImage = jQuery("#pamoorama").infos();
-                         info_theImage.height = img_reelle.height;
-
-
-                         info_the_page = jQuery("#the_page").infos();
-
-                         break
-
-
-                 }
-                 MinWidth=jQuery(TheImg).css("minWidth");
-                 if (MinWidth == "0px")
-                 MinWidth =mini_width;
-                     MinHeight = jQuery(TheImg).css("minHeight");
-                 if (MinHeight == "0px")
-                     MinHeight = mini_height;
-
-                 MaxWidth = jQuery(TheImg).css("maxWidth");
-                 if (MaxWidth == "0px")
-                     MaxWidth = winwidth;
-                 MaxHeight = jQuery(TheImg).css("maxHeight");
-                 if (MaxHeight == "0px")
-                     MaxHeight = mwinheight;
-
-                 //=============== Vérification taille minimale  autorizée ======================
-                 var miniWidth = jQuery(TheImg).Get_Val_int(MinWidth, mini_width);
-                 var miniHeight = jQuery(TheImg).Get_Val_int(MinHeight, mini_height);
-
-                 var miniWidth2 = jQuery(TheImg).Get_Val_int( MinWidth, mini_width2);
-                 var miniHeight2 = jQuery(TheImg).Get_Val_int( MinHeight, mini_height2);
-
-                 var maxWidth = jQuery(TheImg).Get_Val_int(MaxWidth, winwidth, "0");
-                 maxHeight = jQuery(TheImg).Get_Val_int(MaxHeight, winheight, "0");
-
-
-                 mini_width = parseInt(miniWidth);
-                 mini_height = parseInt(miniHeight);
-
-                 img_reelle.width = parseInt(img_reelle.width);
-
-                 if (img_reelle.width < mini_width) return true;
-
-                 img_reelle.height = parseInt(img_reelle.height);
-                 if (img_reelle.height < parseInt(mini_height)) return true;
-                 //==================================================================================   
-                 if (rapport < 0) {
-
-                     img_init.height = parseInt(img_height);
-                     img_init.width = parseInt(img_width);
-
-                     rapport = img_width / img_height;
-
-                     if (Type_Img != "map")
-                         rapport = (img_init.width / img_init.height);
-                     else
-                         rapport = 0;
-
-                 }
-
-
-                 //=============== Zone d'affichage ============================
-
-                 borderW = Zone_Affichage.borderwidth.left;
-                 borderW += Zone_Affichage.borderwidth.right;
-
-
-                 Zone_Affichage.width = winwidth - borderW;
-
-
-
-                 var Licence = jQuery(".licencetag");
-                 info_Licence = jQuery(".licencetag").infos();
-
-                 jQuery(Parent + " #theImg IMG").css("marginTop", "0px")
-                 //========== Correction en fonction du thème =============================
-                 var correction = 0;
-                 if (theme.match(RegExp("sobre", "g"))) {
-
-                     //   correction = -info_Licence.padding.top;
-                     if (Type_Img == 'img') {
-                         if (msie == true) correction = 0;
-                         else correction = 0;
-                         correction = 10;
-                     }
-
-                 } else if (theme.match(RegExp("Pure", "g"))) {
-                     correction += 0; //??
-                 } else if (theme.match(RegExp("luciano", "g"))) {
-                     correction = 0; //??
-
-                 } else if (theme.match(RegExp("simple", "g"))) {
-                     correction += 0; //??
-                 } else if (theme.match(RegExp("gally", "g"))) {
-                     correction += 0; //??
-
-                 }
-
-                 //====================================================
-                 if (options.imageAutosizeMargin > 0) Marge_Basse = options.imageAutosizeMargin;
-                 else Marge_Basse = parseInt(marge_basse || 0); // hors bandeau
-                 //==========================================================================
-                 h = 0;
-
-                 h = (Zone_Affichage.padding.bottom + Zone_Affichage.padding.top + Zone_Affichage.margin.top + Zone_Affichage.margin.bottom);
-                 Bandeau = Bandeau_t.img_top;
-                 Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction - h;
-                 //=========================================================================
-                 if (Zone_Affichage.height < mini_height2)
-                     Zone_Affichage.height = mini_height2;
-                 if (Zone_Affichage.width < mini_width2)
-                     Zone_Affichage.width = mini_width2;
-                 //=========================================================================
-                 if (typeof (Bandeau_bas) != "undefined") {
-                     Zone_Affichage.height -= (Bandeau_bas.height + Bandeau_bas.marge.top + Bandeau_bas.marge.bottom);
-
-
-                 } else {
-
-                 }
-
-                 var Image_height = Zone_Affichage.height;
-
-                 //=============================================================
-                 var height_user = eval(user_status + "_height");
-                 var reg1 = new RegExp("%", "g");
-                 if (height_user.match(reg1))
-                     Image_height = Image_height * parseInt(height_user) / 100;
-                 else
-                     Image_height = parseInt(height_user);
-
-                 echelle_max = parseFloat(echelle_max, '3');
-                 var echelle = parseFloat(Image_height / img_reelle.height, 3);
-
-                 if (echelle > echelle_max) { echelle = echelle_max; }
-                 Image_height = parseInt(img_reelle.height * echelle);
-                 //============================================================
-
-                 var Image_width;
-                 if (rapport > 0)
-                     Image_width = parseInt(Image_height * rapport);
-                 else if (Type_Img == "map") {
-                     Image_width = Zone_Affichage.width - marge_left - marge_right;
-                 } else {
-                     Image_width = Zone_Affichage.width;
-                 }
-
-                 //===============================================================
-                 align_auto = "center";
-                 if (jQuery("#theImg").css("textAlign"))
-                     align_auto = jQuery("#theImg").css("textAlign");
-                 var widthmin = winwidth;
-
-                 if (check_auto_w == 'checked="checked"') {
-                     // if (Type_Img != "pamoorama" && Type_Img != "panorama" ) {
-                     //==== largeur à atteindre ===
-                     var width_user = eval(user_status + "_width");
-                     // Largeur maximale en fonction du statut
-                     if (width_user.match(reg1))
-                     // pourcentage
-                         widthmin = widthmin * parseInt(width_user) / 100;
-                     else
-                         widthmin = parseInt(width_user);
-
-                     var marges = 0;
-
-                     if (typeof (info_img) != "undefined") {
-                         widthmin -= info_img.borderwidth.left || 0;
-                         widthmin -= info_img.borderwidth.right || 0;
-                     }
-                     widthmin -= marges;
-                     widthmin -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
-                     Image_width -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
-                     if (Image_width > widthmin) {
-                         //   Image_width largeur à atteindre 
-                         //  Calcul du rapport d'agrandissement 
-                         var echelle_w = parseFloat((widthmin) / img_reelle.width, 3);
-                         if (echelle_w > echelle_max) { echelle_w = echelle_max; }
-                         Image_width = parseInt(img_reelle.width * echelle_w);
-                         if (rapport > 0)
-                             Image_height = parseInt(Image_width / rapport);
-                     }
-
-
-
-                 }
-
-
-                 // }
-                 //===================================================
-
-                 img_finale.height = Image_height;
-                 img_finale.width = Image_width;
-                 if (theme.match(RegExp("stripped", "gi"))) {
-                     img_finale.width -= (llgboframe.top * 2);
-                     if (rapport > 0) img_finale.height = (img_finale.width / rapport);
-                     else img_finale.height -= (llgboframe.top * 2);
-                 }
-                 zoom = echelle;
-                 if (llgboframe.height > 0) {
-                     //=============LLGBO2 ===========================
-                     t1 = llgboframe;
-                     if (!TheImg.src) {
-                         TheImg = jQuery(TheImg).find("img").get(0)
-                         if (!TheImg.src) {
-                             TheImg = jQuery(Parent).find("div").get(0)
-                         }
-                     }
-                     if (TheImg.src) {
-
-
-                         wingbo = img_finale.width;
-                         heightgbo = img_finale.height;
-                         if (Type_Img == "panorama") {
-                             heightgbo = info_theImage.height;
-                             img_finale.height = info_theImage.height;
-                         }
-
-                         img_finale.width -= marges_llgbo;
-                         if (jQuery("#slideshow").infos().width > 0) {
-                             img_finale.height -= (marges_llgbo * 1.5);
-                         } else {
-                             img_finale.height -= marges_llgbo
-                         }
-
-
-                         if (wingbo > winwidth) {
-                             jQuery("#gbo").width(winwidth);
-                             jQuery("#gbo").height(winheight);
-                             jQuery("#gbo").css("width", winwidth + "px");
-                             jQuery("#gbo").css("height", winheight + "px");
-                         }
-                         else {
-                             jQuery("#gbo").width(wingbo);
-                             jQuery("#gbo").height(heightgbo);
-                             jQuery("#gbo").css("width", wingbo + "px");
-                             jQuery("#gbo").css("height", heightgbo + "px");
-                         }
-
-                         a0 = jQuery("area[rel!=up][rel!=prev][rel!=next]");
-                         a1 = jQuery("area[rel=prev]");
-                         a2 = jQuery("area[rel=next]");
-                         a3 = jQuery("area[rel=up]");
-                         nb_zone = 3;
-                         if (a1.length == 0) {
-                             nb_zone -= 1;
-                         }
-                         if (a2.length == 0) {
-                             nb_zone -= 1;
-                         }
-
-
-                         var Largeur_zone = (img_finale.width / nb_zone);
-                         var Hauteur_zone = (img_finale.height);
-                         var init_zone = 0;
-
-                         if (a1.length > 0) {
-                             coord = { x0: init_zone, y0: 0, x1: Largeur_zone, y1: Hauteur_zone };
-
-                             jQuery("area[rel=prev]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
-                             init_zone += Largeur_zone;
-                         }
-
-                         coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
-
-                         if (a0.length > 0) {
-                             jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1 / 2) + "'" });
-                             jQuery(a0).attr({ coords: "'" + coord.x0 + "," + (coord.y1 / 2) + "," + coord.x1 + "," + (coord.y1) + "'" });
-                         } else {
-                             jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1) + "'" });
-                         }
-                         init_zone += Largeur_zone;
-
-                         if (a2.length > 0) {
-                             coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
-                             jQuery("area[rel=next]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
-                         }
-                     }
-                 }
-
-                 //================ Zone affichage =========================
-
-
-                 //  jQuery(Cadre).css("top", "0px");
-                 jQuery("#standard").css("top", 0 + "px");
-                 jQuery("#comments").css("top", 0 + "px");
-                 //========== Image Remise à l'échelle =======================
-
-                 img_finale.height = parseInt(img_finale.height);
-                 img_finale.width = parseInt(img_finale.width);
-                 //=========================================================================
-                 if (jQuery("#slideshow").infos().width > 0) {
-
-                     jQuery(Cadre).css({ marginLeft: "auto"
-                     });
-                 }
-                 else
-                     jQuery(Cadre).css({ marginLeft: marge_left + "px"
-                     });
-                 jQuery(Cadre).width(Zone_Affichage.width);
-                 //   jQuery(Cadre).height(Zone_Affichage.height);
-
-                 if (typeof (gmaps) != "undefined") {
-                     Gmap_ = gmaps.maps[0];
-                     if (Gmap_.sizeMode == 'A') {
-                         jQuery("#iGMapsIcon").css({ width: old_window.width * 0.8 + "px", height: old_window.height * 0.8 + "px" });
-
-                     }
-                 }
-                 //============= flv,mov,mpg  ok 
-                 /* wmv nok
-                 * avi nok
-                 //===========================================
-                 */
-                 if (Type_Img == "charlie") {
-                     t1 = jQuery("#charlie").infos();
-
-                     /**/
-
-                     pdf = 0;
-                     jQuery("#charlie div").each(function (i) {
-
-
-                         p1 = jQuery(this).infos();
-                         pdf += p1.padding.right + p1.padding.left;
-                     });
-                     img_finale.width -= pdf;
-
-                     jQuery("#charlie").css({
-                         width: img_finale.width + pdf,
-                         height: img_finale.height,
-                         margin: "auto"
-                     });
-
-
-
-                     jQuery("#player").css("width", img_finale.width + "px");
-                     jQuery("#player").css("height", img_finale.height);
-
-                     jQuery("#embedplayer").css("width", img_finale.width);
-                     jQuery("#embedplayer").css("height", img_finale.height);
-
-
-                     jQuery("object").width(img_finale.width);
-                     jQuery("object").height(img_finale.height);
-
-
-                 } else if (Type_Img == "panorama") {
-
-                     // -----     jQuery(TheImg).panorama2(img_finale.height, img_finale.width);
-                     // jQuery(TheImg).height(img_finale.height);
-                     // jQuery(TheImg).width(img_finale.width);
-                     jQuery("#Panorama div").height(img_finale.height);
-                     //  class=simple_panorama
-
-                     jQuery(".panorama-viewport").css("left", "2px");
-                     jQuery(".panorama-viewport").css("width", "auto");
-
-
-                 } else if (Type_Img == "pamoorama") {
-                     info_theImage.height = Zone_Affichage.height;
-                     img_height = myPamoorama.imageHeight
-                     if (theme.match(RegExp("simple", "g"))) {
-                         //  marge_right = 2;
-                     }
-                     new_width = Zone_Affichage.width - marge_right - marge_left;
-                     new_width = Zone_Affichage.width - (info_theImage.borderwidth.right + info_theImage.borderwidth.left);
-
-
-
-                     Zone_Affichage.height += info_pamoorama_footer.height;
-                     zoom = info_theImage.height / img_height;
-                     myPamoorama.options.width = new_width * zoom;
-                     //  if(msie || safari) jQuery("#pamoorama_inner ").css({ zoom: zoom });
-                     //====================================================
-                     jQuery("#pamoorama").css({
-                         marginLeft: "auto",
-                         marginRight: "auto",
-                         //height: Zone_Affichage.height + "px", sinon déclenchement panorama sur la hauteur;
-                         width: new_width + "px"
-                     });
-                     jQuery("#pamoorama").width(new_width);
-
-                     //====================================================
-                     info_pamoorama = jQuery("#pamoorama").infos();
-                     img_finale.height = info_pamoorama.height - info_pamoorama_footer.height;
-                     img_finale.width = new_width;
-
-                     jQuery("#pamoorama_outter").width(new_width);
-
-
-                     // commenter sinon outter augmente à chaque resize
-                     //  jQuery("#pamoorama_outter").height(info_pamoorama.height - info_pamoorama_footer.height);
-
-
-
-                     jQuery("#pamoorama_outter").css({ width: new_width + "px" });
-                     jQuery("#pamoorama_footer").css({ width: new_width + "px" });
-                     //     
-                     //====================================================
-                     info_pamoorama = jQuery("#pamoorama").infos();
-                     info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
-                     info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
-                     info_pamoorama_footer = jQuery("#pamoorama_footer").infos();
-                     info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
-
-                     info_frame = jQuery(myPamoorama.frame).infos();
-
-                     zoom = img_finale.height / img_height;
-
-
-                 } else if (TheImg.src) {
-                     //--- background ?? ---
-                     jQuery(TheImg).height(img_finale.height);
-                     jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css({ height: img_finale.height + "px ",
-                         width: img_finale.width + "px "
-                     });
-
-
-                 } else {
-                     //===map ? luciano ===
-                     jQuery(TheImg).height(img_finale.height);
-                     jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css({ height: img_finale.height + "px ",
-                         width: img_finale.width + "px "
-                     });
-                     if (theme.match(RegExp("luciano", "g"))) {
-                         jQuery(Parent + " #theImg IMG").css({ height: img_finale.height + "px ",
-                             width: img_finale.width + "px "
-                         })
-                     }
-
-                 }
-
-                 jQuery("#navThumbPrev").css({ overflow: "hidden" });
-                 jQuery("#navThumbNext").css({ overflow: "hidden" });
-                 n = typeof inittoolbar;
-                 if (Type_Img == "map") {
-                     jQuery("#navThumbNext").css({ display: 'none' });
-                     jQuery("#navThumbPrev").css({ display: 'none' });
-                 }
-                 try {
-                     if (theme.match(RegExp("gally", "gi"))) {
-                         if (typeof inittoolbar == "function") {
-                             if (typeof (currentTab) == "undefined") inittoolbar();
-                             else initializeImageMode("resize");
-                         }
-                         //===========================================================================
-
-                         if (jQuery("#navThumbPrev").length > 0) {
-                             jQuery("#navThumbPrev").css({ height: info_img.height + "px",
-                                 overflow: "hidden"
-                             });
-
-                         }
-                         if (jQuery("#navThumbNext").length > 0) {
-                             jQuery("#navThumbNext").css({ height: info_img.height + "px",
-                                 overflow: "hidden"
-                             });
-
-                         }
-
-
-                         if (!theme.match(RegExp("lapis", "gi"))) {
-                             if (typeof initializeImageMode == "function") {
-                                 initializeImageMode("resize");
-                             }
-
-                         }
-
-                     } else if (theme.match(RegExp("simple", "g"))) {
-
-                         jQuery("#imageToolBar").css({ position: "static" });
-
-                         info_imageInfoBar = jQuery("#imageInfoBar").infos();
-                         if (info_imageInfoBar.bottom < info_img.bottom) {
-                             //   jQuery("#imageInfoBar").height(info_img.bottom);
-                         }
-
-                     } else {
-
-                         //    jQuery("#imageToolBar").css("position", "static");
-                     }
-                 } catch (e) {
-
-                 }
-                 //  --- rglage de la hauteur de page en fonction du copyright-----------
-                 if (typeof (pos) == "undefined") pos = jQuery("#copyright").infos();
-                 if (pos != jQuery("#copyright").infos())
-                     pos = jQuery("#copyright").infos();
-                 if (theme.match(RegExp("stripped", "gi"))) {
-                     var TitleBox = jQuery("#imageTitleContainer");
-                     if (TitleBox.length != 0) TitleBox.css("width", img_finale.width + "px");
-                 } else {
-                     if (pos.top > 100)
-                         jQuery("#the_page").height(pos.top);
-
-                 }
-
-                 if (!theme.match(RegExp("luciano", "gi"))) {
-                     jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
-                     jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
-                     jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
-                 }
-                 info_frame = jQuery(Cadre).infos();
-                 if (theme.match(RegExp("stripped", "gi"))) {
-                     pos = "absolute";
-                     info_theImageBox = jQuery("#theImageAndTitle").infos();
-                     t1 = info_theImageBox.top;
-                     l1 = info_theImageBox.left;
-                     // info_theImageBox = jQuery(Parent).infos();
-
-                 } else {
-                     pos = "absolute";
-                     t1 = info_frame.top;
-                     l1 = info_frame.left;
-                     info_theImageBox = jQuery(Parent).infos();
-                 }
-
-                 info_theImageBox.margin.margin = info_frame.margin.margin;
-                 info_theImageBox.top = t1;
-                 info_theImageBox.left = l1;
-                 info_theImageBox.pos = "absolute";
-                 Window_Affichage = info_theImageBox;
-                 if (DEBUG == "true") {
-                     //   jQuery(Cadre).css("border", "solid green");
-
-                     jQuery("#Debug5").css({ background: "transparent",
-                         position: pos,
-                         border: "green solid 2px",
-                         textAlign: align_auto,
-                         margin: Window_Affichage.margin.margin,
-                         top: Window_Affichage.top + "px",
-                         left: Window_Affichage.left + "px",
-                         width: Window_Affichage.width + "px",
-                         height: Window_Affichage.height + "px"
-                     }); //red
-                     jQuery("#Debug4").css({ top: info_frame.bottom - info_description.height + "px" }); //green
-                 }
-
-                 Wait_Affichage();
-
-                 return true;
-
-
-
-
-
-                 //_____________________________________________________
-             } // Resize();
-
-
-             //======================================================================
-
-
-         });            // fin extend
+           } catch (e) {
+
+           }
+           //  --- rglage de la hauteur de page en fonction du copyright-----------
+           if (typeof (pos) == "undefined") pos = jQuery("#copyright").infos();
+           if (pos != jQuery("#copyright").infos())
+             pos = jQuery("#copyright").infos();
+           if (theme.match(RegExp("stripped", "gi"))) {
+             var TitleBox = jQuery("#imageTitleContainer");
+             if (TitleBox.length != 0) TitleBox.css("width", img_finale.width + "px");
+           } else {
+             if (pos.top > 100)
+               jQuery("#the_page").height(pos.top);
+
+           }
+
+           if (!theme.match(RegExp("luciano", "gi"))) {
+             jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
+             jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
+             jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
+           }
+           info_frame = jQuery(Cadre).infos();
+           if (theme.match(RegExp("stripped", "gi"))) {
+             pos = "absolute";
+             info_theImageBox = jQuery("#theImageAndTitle").infos();
+             t1 = info_theImageBox.top;
+             l1 = info_theImageBox.left;
+             // info_theImageBox = jQuery(Parent).infos();
+
+           } else {
+             pos = "absolute";
+             t1 = info_frame.top;
+             l1 = info_frame.left;
+             info_theImageBox = jQuery(Parent).infos();
+           }
+
+           info_theImageBox.margin.margin = info_frame.margin.margin;
+           info_theImageBox.top = t1;
+           info_theImageBox.left = l1;
+           info_theImageBox.pos = "absolute";
+           Window_Affichage = info_theImageBox;
+           if (DEBUG == "true") {
+             //   jQuery(Cadre).css("border", "solid green");
+
+             jQuery("#Debug5").css({ background: "transparent",
+               position: pos,
+               border: "green solid 2px",
+               textAlign: align_auto,
+               margin: Window_Affichage.margin.margin,
+               top: Window_Affichage.top + "px",
+               left: Window_Affichage.left + "px",
+               width: Window_Affichage.width + "px",
+               height: Window_Affichage.height + "px"
+             }); //red
+             jQuery("#Debug4").css({ top: info_frame.bottom - info_description.height + "px" }); //green
+           }
+
+           Wait_Affichage();
+
+           return true;
+
+
+
+
+
+           //_____________________________________________________
+         } // Resize();
+
+
+         //======================================================================
+
+
+       });            // fin extend
 
 
